QGIS Redmine (QGIS bug tracker) - Feature request #10325
Redmine searches: add option to hide closed tickets
2014-05-22 03:55 AM - Paolo Cavallini

Status: Open
Priority: Normal
Assignee:

Category:

Pull Request or Patch supplied:
Description

When searching on this Redmine, all tickets are shown, also closed ones. This adds a lot of confusion, and should be avoided.

Unsure where this ticket belongs to, if it's inappropriate here please tell me where, and I'll move it.

History

#1 - 2014-05-22 03:37 PM - Tobias Schneider

Why not track issues directly on Github (where the repository is also)? Github has a lot of options for sorting and labelling issues.

#2 - 2014-05-22 03:39 PM - Nathan Woodrow

GitHub doesn't scale well with large projects and tracking tickets. | use it for a personal project and still find it hard to manage. | have seem a few projects
move away from it due to lack of control. | never used to like Redmine but it's pretty good and does everything we need.

Redmine is just Ruby so it should be easy enough to add a search open feature.

#3 - 2014-05-22 04:11 PM - Alex Mandel

I think not hiding by default is good, because we want to avoid new tickets on already solved questions. But | do agree the ability to add filters after initial
search would be helpful. This may require a custom search plugin to Redmine.

We have also been discussing what to use besides redmine since git hosting is no longer a core feature. Here are some options I've shared with the PSC
but need to get out to the whole community:

http://bloodhound.apache.org/

http://trac.edgewall.org/

http://roundup.sourceforge.net/

https://www.chiliproject.org/

https://www.gitlab.com/gitlab-ce/

https://www.gitlab.com/gitlab-ci/

https://www.djangopackages.com/grids/g/ticketing/

| agree github ticketing is insufficient at this time.

#4 - 2014-05-25 01:34 PM - Pirmin Kalberer
- Category deleted (Documentation and Help)
- Project changed from QGIS Application to QGIS Redmine (QGIS bug tracker)
